maven-surefire-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dan Fabulich <...@fabulich.com>
Subject Surefire and TestNG versions
Date Mon, 19 Nov 2007 22:36:51 GMT
Brett Porter wrote:

> 4.7, 5.1 and 5.5 tend to be used now. It would be good to retain compat with 
> them if possible. BTW, 5.6 and 5.7 are now in the repo.

Looking more closely at the code, I find that the code asserts that it 
supports 4.7 and higher.

I've got an integration test written (not yet checked in) that runs a 
minimal TestNG suite with every version of TestNG present on central from 
4.7 on up.  (4.7, 5.0, 5.0.1, 5.0.2, 5.1, 5.5, 5.6 and 5.7)

I find that my TestNG 5.0 and 5.0.1 ITs fail as no tests are run.  5.0.2 
works, and so do all of the other versions listed.

I've filed SUREFIRE-375 on this.  But would we ever fix it?

-Dan

Mime
View raw message